#version 330

in vec3 Position;

float rand(vec3 co){
    return fract(sin(dot(co.xyz ,vec3(12.9898,78.233, 44.1234))) * 43758.5453);
}

void main() {
	float RND = rand(Position);
	float dx = sin(Position.x);
	dx = fract(sqrt(dx*dx*dx ));
	float dy = sin(Position.y);
	dy = fract(sqrt(dy*dy*dy ));
	float dz = sin(Position.z);
	dz = fract(sqrt(dz*dz*dz ));
	gl_FragColor = vec4(dx,dy,dz, 1.0f);
}